org.apache.synapse.format.hessian

## Class HessianMessageBuilder

- java.lang.Object
- - org.apache.synapse.format.hessian.HessianMessageBuilder

- All Implemented Interfaces:
    org.apache.axis2.builder.Builder

      public class HessianMessageBuilder
      extends java.lang.Object
      implements org.apache.axis2.builder.Builder

  Enables a message encoded using the Hessian binary protocol to be received by axis2/synapse and this builds the HessianDataSource to represent the hessian message inside the SOAP info-set
  See Also:
    `Builder`, `SynapseBinaryDataSource`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HessianMessageBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `processDocument(java.io.InputStream inputStream, java.lang.String contentType, org.apache.axis2.context.MessageContext messageContext)` Returns an OMElement from a Hessian encoded message

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HessianMessageBuilder

          public HessianMessageBuilder()

  - ### Method Detail

    - #### processDocument

          public org.apache.axiom.om.OMElement processDocument(java.io.InputStream inputStream,
                                                               java.lang.String contentType,
                                                               org.apache.axis2.context.MessageContext messageContext)
                                                        throws org.apache.axis2.AxisFault

      Returns an OMElement from a Hessian encoded message
      Specified by:
        `processDocument` in interface `org.apache.axis2.builder.Builder`
      Parameters:
        `inputStream` - stream containing the Hessian message to be built
        `contentType` - content type of the message
        `messageContext` - message to which the hessian message has to be attached
      Returns:
        OMElement containing Hessian data handler keeping the message
      Throws:
        `org.apache.axis2.AxisFault` - in case of a failure in building the hessian message
      See Also:
        `Builder.processDocument(java.io.InputStream, String, org.apache.axis2.context.MessageContext)`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.